org.codehaus.plexus.component.composition

## Interface ComponentComposerManager

All Known Implementing Classes:
  DefaultComponentComposerManager

    public interface ComponentComposerManager

Version:
  $Id: ComponentComposerManager.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Michal Maczka

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`void` `assembleComponent(Object component, ComponentDescriptor componentDescriptor, PlexusContainer container)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### assembleComponent

    void assembleComponent(Object component,
                         ComponentDescriptor componentDescriptor,
                         PlexusContainer container)
                           throws CompositionException,
                                  UndefinedComponentComposerException

Throws:
  `CompositionException`
  `UndefinedComponentComposerException`